Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
gf2m_rootfind_dcmp.cpp File Reference
`#include <botan/polyn_gf2m.h>`
`#include <botan/internal/bit_ops.h>`
`#include <botan/internal/code_based_util.h>`
`#include <botan/exceptn.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
secure_vector< gf2m > | Botan::find_roots_gf2m_decomp (const polyn_gf2m &polyn, uint32_t code_length)

## Variable Documentation

uint32_t code_length

Definition at line 48 of file gf2m_rootfind_dcmp.cpp.

Referenced by Botan::generate_mceliece_key().

secure_vector<gf2m> m_Aij

Definition at line 50 of file gf2m_rootfind_dcmp.cpp.

gf2m m_j

Definition at line 52 of file gf2m_rootfind_dcmp.cpp.

gf2m m_j_gray

Definition at line 53 of file gf2m_rootfind_dcmp.cpp.

secure_vector<gf2m> m_Lik

Definition at line 49 of file gf2m_rootfind_dcmp.cpp.

uint32_t m_outer_summands

Definition at line 51 of file gf2m_rootfind_dcmp.cpp.

gf2m m_sigma_3_l

Definition at line 54 of file gf2m_rootfind_dcmp.cpp.

gf2m m_sigma_3_neq_0_mask

Definition at line 55 of file gf2m_rootfind_dcmp.cpp.